List rules
curl --request GET \
--url https://api.eka.care/protocol/workflow/rules \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/protocol/workflow/rules"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/protocol/workflow/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("auth", "<auth>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eka.care/protocol/workflow/rules")
.header("auth", "<auth>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["auth"] = '<auth>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"_id": "<string>",
"bid": "<string>",
"scope_type": "ADMISSION",
"events": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"workflow_name": "<string>",
"version": 123,
"active": true,
"source": {
"scope_type": "ADMISSION",
"events": [
"<string>"
],
"name": "<string>",
"conditions": {
"field": "<string>",
"op": "equal",
"value": "<string>"
},
"tasks": [
{
"task_type": "VITALS",
"form_kind": "SA",
"sa_id": "<string>",
"template_id": "<string>",
"title": "<string>",
"description": "<string>",
"payload": {},
"requiredness": "MANDATORY",
"blocking": true,
"audience_keys": [
"<string>"
],
"estimate": "<string>",
"delay": "<string>",
"every": "<string>",
"due_in": "<string>",
"escalation": {
"after": "<string>",
"audience_keys": [
"<string>"
],
"title": "<string>"
}
}
],
"description": "<string>"
},
"conductor_json": {
"name": "<string>",
"version": 123,
"ownerEmail": "<string>",
"description": "<string>",
"schemaVersion": 2,
"restartable": true,
"timeoutSeconds": 123,
"inputParameters": [
"<string>"
],
"tasks": [
{
"name": "<string>",
"taskReferenceName": "<string>",
"type": "SIMPLE",
"inputParameters": {
"bid": "<string>",
"rule_id": "<string>",
"event": "<string>",
"scope": "<string>",
"facts": "<string>",
"rule_version": "<string>",
"run_id": "<string>",
"index": 123,
"task": "<string>",
"kind": "<string>",
"delayed": true,
"iteration": "<string>"
},
"optional": true
}
],
"outputParameters": {}
},
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"condition_text": "<string>"
}
]
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Rules & catalog
List rules
Filter by scope, or by event for the rules that include it.
GET
/
protocol
/
workflow
/
rules
List rules
curl --request GET \
--url https://api.eka.care/protocol/workflow/rules \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/protocol/workflow/rules"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/protocol/workflow/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("auth", "<auth>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eka.care/protocol/workflow/rules")
.header("auth", "<auth>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["auth"] = '<auth>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"_id": "<string>",
"bid": "<string>",
"scope_type": "ADMISSION",
"events": [
"<string>"
],
"name": "<string>",
"description": "<string>",
"workflow_name": "<string>",
"version": 123,
"active": true,
"source": {
"scope_type": "ADMISSION",
"events": [
"<string>"
],
"name": "<string>",
"conditions": {
"field": "<string>",
"op": "equal",
"value": "<string>"
},
"tasks": [
{
"task_type": "VITALS",
"form_kind": "SA",
"sa_id": "<string>",
"template_id": "<string>",
"title": "<string>",
"description": "<string>",
"payload": {},
"requiredness": "MANDATORY",
"blocking": true,
"audience_keys": [
"<string>"
],
"estimate": "<string>",
"delay": "<string>",
"every": "<string>",
"due_in": "<string>",
"escalation": {
"after": "<string>",
"audience_keys": [
"<string>"
],
"title": "<string>"
}
}
],
"description": "<string>"
},
"conductor_json": {
"name": "<string>",
"version": 123,
"ownerEmail": "<string>",
"description": "<string>",
"schemaVersion": 2,
"restartable": true,
"timeoutSeconds": 123,
"inputParameters": [
"<string>"
],
"tasks": [
{
"name": "<string>",
"taskReferenceName": "<string>",
"type": "SIMPLE",
"inputParameters": {
"bid": "<string>",
"rule_id": "<string>",
"event": "<string>",
"scope": "<string>",
"facts": "<string>",
"rule_version": "<string>",
"run_id": "<string>",
"index": 123,
"task": "<string>",
"kind": "<string>",
"delayed": true,
"iteration": "<string>"
},
"optional": true
}
],
"outputParameters": {}
},
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"condition_text": "<string>"
}
]
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Headers
The access token. The gateway verifies it and passes the user and the business on.
Query Parameters
Available options:
ADMISSION, DISCHARGE, APPOINTMENT, PRESCRIPTION, PATIENT Was this page helpful?

